Timeline
Get a note
Retrieve a single note by its unique ID. Notes are timeline entries that record interactions, meeting notes, and other activities related to contacts.
GET /v1/timeline/{noteId}
Parameters
Path parameters
noteId
string (uuid) required
Query parameters
include
object
select
object
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.note
object required
data.note.id
string (uuid) required
data.note.user_id
string
data.note.note
string | null
data.note.custom_emoji
string | null
data.note.meeting_type
string | null
data.note.meeting_type_id
string (uuid) | null
data.note.event_time
string (date-time)
data.note.created_at
string (date-time)
data.note.google_calendar_event_id_v3
string | null
data.note.oauth_credential_id
string (uuid) | null
data.note.calendar_account_email
string | null
data.note.calendar_account_provider
string enum
Possible values:
"GOOGLE", "OFFICE365"data.note.reminder_id
string (uuid) | null
data.note.channels
array<string enum> required
data.note.next_cursor
string
data.note.meeting_types
object | null required
data.note.timeline_items_contacts
array<object>
data.note.attachments
array<object>
Example
{
"error": false,
"data": {
"note": {
"id": "00000000-0000-0000-0000-000000000000",
"channels": [
"whatsapp"
],
"meeting_types": {}
}
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/timeline/00000000-0000-0000-0000-000000000000 \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v1/timeline/00000000-0000-0000-0000-000000000000', {
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.get(
"https://api.prod.getdex.com/v1/timeline/00000000-0000-0000-0000-000000000000",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)

